
% Copyright 2014 by Fabian Grammes


\mode<presentation>

% load packages
\usepackage{textpos} % package for positionining of the logo in the frame header
\usepackage{tikz}
\usepackage{pdfrender}


%%%%%%%%%%%%%%%%%%%%%
%========= OUTER THEME =======
%
%%%%%%%%%%%%%%%%%%%%%

%======= General ============

\useoutertheme{infolines}
% removes the headline from the infolines setting
\setbeamertemplate{headline}[default] 
\setbeamertemplate{navigation symbols}{}%remove navigation symbols 

%======== Title Page  =========
\setbeamertemplate{title page}{
  \begin{tikzpicture}
  \useasboundingbox (0.4,0) rectangle(\the\paperwidth,\the\paperheight);
  \fill[color=ngreen1] (0,5) rectangle (\the\paperwidth,\the\paperheight);
  \fill[color=ngreen2] (0,0) rectangle(8.7,4.9);
  \fill[color=white] (8.8,0) rectangle(\the\paperwidth,4.9);
  \ifnum\thepage>1\relax%
  \fill[white,opacity=1] (0,0) rectangle(\the\paperwidth,\the\paperheight);
   \fi
   % Insert Titlepage text
   \node at (6.4,8) (Title)  {%
   	\parbox[c]{\paperwidth}{\center%
    	\usebeamerfont{title}\textcolor{black}{\inserttitle}}};
   \node at (6.4,6.5) (Subitle)  {%
   	\parbox[c]{\paperwidth}{\center%
    	\usebeamerfont{subtitle}\textcolor{black}{\insertsubtitle}}};	
    \node at (4.4,3) (Author)  {%
   	\parbox[c]{8.8cm}{\center%
    	\usebeamerfont{author}\textcolor{black}{\insertauthor}}};	
     \node at (4.4,2) (Institute)  {%
   	\parbox[c]{8.8cm}{\center%
    	\usebeamerfont{institute}\textcolor{black}{\insertinstitute}}};	
     \node at (10.8,2) (Logo)  {%
   	\includegraphics[height=4cm]{Art/NMBU_symbol_CMYK.pdf}};		
     \node at (10.8,4.3) (Logo)  {%
   	\includegraphics[height=1cm]{Art/Cigene2.pdf}};		
  \end{tikzpicture}
}


%======= Frame Header ========

\setbeamertemplate{frametitle}
{
  \begin{beamercolorbox}[wd=\paperwidth,ht=1cm]{frametitle} 
  \begin{tikzpicture}
  \useasboundingbox[fill=white](0,0) rectangle(\the\paperwidth,1);
  \fill[ngreen1] (0,0) rectangle(9.5,1);
  \fill[white] (9.5,0) rectangle(\the\paperwidth,1);
   \ifx\insertframesubtitle\@empty%
      {\node [right] at (0.25,0.5)%
      %{\insertframetitle};}
      {\usebeamerfont{frametitle}\textcolor{white}{\insertframetitle}};
      }
      \else%
      {\node at (3.2,0.81){\insertframetitle};%
       \node at (3.2,0.41){\insertframesubtitle};}%
      \fi
  %nodes for the logos..    
  \node at (10.7,0.5) (FrameLogo1) {
      \includegraphics[height=0.7cm]{Art/Cigene2.pdf}};
   \node at (12.3,0.5) (FrameLogo2) {
      \includegraphics[height=1.1cm]{Art/NMBU_symbol_CMYK.pdf}};
   \draw [nred, ultra thick]   (0,0) -- (\the\paperwidth,0);
  \end{tikzpicture}
  \end{beamercolorbox}
  }



%======== INNER THEME =========

\useinnertheme{rectangles}

\setbeamertemplate{itemize items}[square]


% set rounded blocks 
\setbeamertemplate{blocks}[rounded][shadow=true]
\makeatletter
\pgfdeclareverticalshading[lower.bg,upper.bg]{bmb@transition}{200cm}{%
  color(0pt)=(lower.bg); color(4pt)=(lower.bg); color(4pt)=(upper.bg)}
\makeatother



\mode
<all>
